### Constant

# GLib ASCII_DTOSTR_BUF_SIZE

#### Declaration

    #define G_ASCII_DTOSTR_BUF_SIZE 39

#### Description

A good size for a buffer to be passed into `g_ascii_dtostr()`. It is guaranteed to be enough for all output of that function on systems with 64bit IEEE-compatible doubles.

The typical usage would be something like:

    char buf[G_ASCII_DTOSTR_BUF_SIZE];

    fprintf (out, "value=%s\n", g_ascii_dtostr (buf, sizeof (buf), value));